# gdcm::JPEG16Codec Class Reference

Class to do JPEG 16bits (lossless) More...

`#include <gdcmJPEG16Codec.h>`

Inheritance diagram for gdcm::JPEG16Codec:
[legend]
Collaboration diagram for gdcm::JPEG16Codec:
[legend]

List of all members.

## Public Member Functions

| JPEG16Codec ()
| ~JPEG16Codec ()
bool | Decode (std::istream &is, std::ostream &os)
bool | GetHeaderInfo (std::istream &is, TransferSyntax &ts)
bool | InternalCode (const char *input, unsigned long len, std::ostream &os)

## Detailed Description

Class to do JPEG 16bits (lossless)

Note:
  internal class

## Constructor & Destructor Documentation

gdcm::JPEG16Codec::JPEG16Codec | ( |  | ) |

gdcm::JPEG16Codec::~JPEG16Codec | ( |  | ) |

## Member Function Documentation

bool gdcm::JPEG16Codec::Decode | ( | std::istream & | is,
|  | std::ostream & | os
| ) |  | `[virtual]`

Reimplemented from gdcm::JPEGCodec.

bool gdcm::JPEG16Codec::GetHeaderInfo | ( | std::istream & | is,
|  | TransferSyntax & | ts
| ) |  | `[virtual]`

Reimplemented from gdcm::JPEGCodec.

bool gdcm::JPEG16Codec::InternalCode | ( | const char * | input,
|  | unsigned long | len,
|  | std::ostream & | os
| ) |  | `[virtual]`

Reimplemented from gdcm::Coder.

The documentation for this class was generated from the following file:

- gdcmJPEG16Codec.h